#!/bin/csh

unlimit
setenv MAPSIZE  350000000

set bfactor = 300
set res = 4.0

set dim = 700
set pixelsize = 1.23
set fileName = "tlp_x59"
set hiresName = "${fileName}_b${bfactor}_r${res}.mrc"

# B-fac filtering
# ===============
bfactor.exe << _EOF
${fileName}_d${dim}.mrc
-${bfactor}.0
2
${res}
13
${pixelsize}
${hiresName}
_EOF

# NCS averaging
# =============
/home/nexsan3/sware64/usf/LX_AVE -b << _EOF
A
${hiresName}
vp7_big.mask
vp7_ncs.ccp4
p1.sym
vp7_ave.mat

_EOF

/home/nexsan3/users/jzchen/bin/boxing vp7_ncs.ccp4 5 124 4 123 20 89 ttt.mrc
/home/nexsan3/users/jzchen/bin/normap ttt.mrc vp7_ncs_b${bfactor}_r${res}.mrc

rm -f ttt.mrc

# END
