#!/bin/csh

unlimit
setenv MAPSIZE  350000000

set bfactor = 300
set res = 3.7

set dim = 700
set pixelsize = 1.23
set fileName = "tlp_x59"
set hiresName = "${fileName}_b${bfactor}_r${res}.mrc"

# B-fac filtering
# ===============
bfactor.exe << _EOF
${fileName}_d${dim}.mrc
-${bfactor}.0
2
${res}
13
${pixelsize}
${hiresName}
_EOF

# NCS averaging
# =============
/home/nexsan3/sware64/usf/LX_AVE -b << _EOF
A
${hiresName}
vp7.mask
tlp_ncs.ccp4
p1.sym
tlp_ave.mat

_EOF

/home/nexsan3/users/jzchen/bin/boxing tlp_ncs.ccp4 17 136 17 136 48 167 ttt.mrc
/home/nexsan3/users/jzchen/bin/normap ttt.mrc tlp_ncs_b${bfactor}_r${res}.mrc

rm -f ttt.mrc

# END
